﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Map;

namespace WpfApplication1
{
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            this.Airports = new List<Airport>();
            this.Flights = new ObservableCollection<FlightPath>();
            this.LoadFlights();
        }

        private void LoadFlights()
        {
            this.Airports.Add(new Airport("Sofia", new Location(42.698397, 23.318174)));
            this.Airports.Add(new Airport("Paris", new Location(48.86324843747856, 2.343200000000003)));
            this.Airports.Add(new Airport("Rome", new Location(41.89363932192129, 12.500399999999999)));
            this.Airports.Add(new Airport("Bern", new Location(46.96525, 7.42675)));
            this.Airports.Add(new Airport("London", new Location(51.51916693151067, -0.1022499999999904)));
            this.Airports.Add(new Airport("Vienna", new Location(48.2125716583318, 16.3686)));
            this.Airports.Add(new Airport("Madrid", new Location(40.418791766421336, -3.7057499999999965)));
            this.Airports.Add(new Airport("Moscow", new Location(55.75, 37.61)));

            this.Flights.Add(new FlightPath(this.Airports[4], this.Airports[3]) { FlightPathColor = new SolidColorBrush(Color.FromArgb(255, 0, 192, 255))});
            this.Flights.Add(new FlightPath(this.Airports[0], this.Airports[7]) { FlightPathColor = new SolidColorBrush(Color.FromArgb(255, 0, 192, 255)) });

        }
        

        public ObservableCollection<FlightPath> Flights { get; set; }
        public List<Airport> Airports { get; set; }        
    }
}
